var angular = [
  {
    "title": "Angular Language Service",
    "properties": {
      "angular.log": {
        "type": "string",
        "enum": [
          "off",
          "terse",
          "normal",
          "verbose"
        ],
        "default": "off",
        "description": "Enables logging of the Angular server to a file. This log can be used to diagnose Angular Server issues. The log may contain file paths, source code, and other potentially sensitive information from your project.",
        "scope": 3
      },
      "angular.view-engine": {
        "type": "boolean",
        "default": false,
        "description": "Use legacy View Engine language service. This option is incompatible with projects using Angular v13 and above.",
        "scope": 3
      },
      "angular.enable-strict-mode-prompt": {
        "type": "boolean",
        "default": true,
        "markdownDescription": "Prompt to enable the [strictTemplates](https://angular.io/guide/angular-compiler-options#stricttemplates) flag in [angularCompilerOptions](https://angular.io/guide/angular-compiler-options). Note that strict mode is only available when using Ivy.",
        "scope": 3
      },
      "angular.trace.server": {
        "type": "string",
        "scope": 3,
        "enum": [
          "off",
          "messages",
          "verbose"
        ],
        "default": "off",
        "description": "Traces the communication between VS Code and the Angular language server."
      },
      "angular.suggest.includeAutomaticOptionalChainCompletions": {
        "type": "boolean",
        "default": true,
        "markdownDescription": "Enable/disable showing completions on potentially undefined values that insert an optional chain call. Requires TS 3.7+, strict null checks to be enabled and the `legacy View Engine` option to be disabled.",
        "scope": 3
      },
      "angular.suggest.includeCompletionsWithSnippetText": {
        "type": "boolean",
        "default": true,
        "markdownDescription": "Enable/disable snippet completions from Angular language server. Requires using TypeScript 4.3+ in the workspace and the `legacy View Engine` option to be disabled.",
        "scope": 3
      },
      "angular.forceStrictTemplates": {
        "type": "boolean",
        "default": false,
        "markdownDescription": "Enabling this option will force the language service to use [strictTemplates](https://angular.io/guide/angular-compiler-options#stricttemplates) and ignore the user settings in the `tsconfig.json`.",
        "scope": 3
      }
    }
  }
];

export { angular as default };
